
From: Martin Hicks <mort@wildopensource.com>

This is just a cleanup - no functional changes.  Gets a bunch of code
outside an if by returning NULL earlier.

Signed-Off-By: Martin Hicks <mort@wildopensource.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/page_alloc.c |   21 ++++++++++-----------
 1 files changed, 10 insertions(+), 11 deletions(-)

diff -puN mm/page_alloc.c~reiser4-perthread_pages_alloc-cleanup mm/page_alloc.c
--- 25/mm/page_alloc.c~reiser4-perthread_pages_alloc-cleanup	2005-03-10 19:09:56.000000000 -0800
+++ 25-akpm/mm/page_alloc.c	2005-03-10 19:09:56.000000000 -0800
@@ -720,6 +720,7 @@ static inline struct page *
 perthread_pages_alloc(void)
 {
 	struct list_head *perthread_pages;
+	struct page *page;
 
 	/*
 	 * try to allocate pages from the per-thread private_pages pool. No
@@ -727,18 +728,16 @@ perthread_pages_alloc(void)
 	 * itself, and not by interrupts or other threads.
 	 */
 	perthread_pages = get_per_thread_pages();
-	if (!in_interrupt() && !list_empty(perthread_pages)) {
-		struct page *page;
-
-		page = list_entry(perthread_pages->next, struct page, lru);
-		list_del(&page->lru);
-		current->private_pages_count--;
-		/*
-		 * per-thread page is already initialized, just return it.
-		 */
-		return page;
-	} else
+	if (in_interrupt() || list_empty(perthread_pages))
 		return NULL;
+
+	page = list_entry(perthread_pages->next, struct page, lru);
+	list_del(&page->lru);
+	current->private_pages_count--;
+	/*
+	 * per-thread page is already initialized, just return it.
+	 */
+	return page;
 }
 
 /*
_
